#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);

    int a, b, x, y;
    cin>>a>>b>>x>>y;

    if(a==x && b==y)
    {
        cout<<"nijedan";
    }
    else if(x<a && y==b)
    {
        cout<<"prvi";
    }
    else if(a==x && y<b)
    {
        cout<<"drugi";
    }
    else
    {
        cout<<"?";
    }
    cout<<'\n';

    return 0;
}